SUSE SLED15 / SLES15 Security Update : pdsh, slurm_18_08 (SUSE-SU-2020:0443-1)

high Nessus Plugin ID 134036

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for pdsh, slurm_18_08 fixes the following issues :

Slurm was included in the 18.08 release, as 'slurm_18_08' package. The version 18.08.9 contains all recent security fixes, including :

CVE-2019-19728: Fixed a privilege escalation with srun, where --uid might have unintended side effects (bsc#1159692).

CVE-2019-19727: Fixed permissions of slurmdbd.conf (bsc#1155784).

pdsh was updated to: Add support for an alternative SLURM version when building the slurm plugin.

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-443=1

SUSE Linux Enterprise Module for HPC 15-SP1:zypper in -t patch SUSE-SLE-Module-HPC-15-SP1-2020-443=1

SUSE Linux Enterprise Module for HPC 15:zypper in -t patch SUSE-SLE-Module-HPC-15-2020-443=1

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1085240

https://www.suse.com/security/cve/CVE-2018-7033/

https://bugzilla.suse.com/show_bug.cgi?id=1095508

https://www.suse.com/security/cve/CVE-2018-10995/

https://bugzilla.suse.com/show_bug.cgi?id=1123304

https://www.suse.com/security/cve/CVE-2019-6438/

https://bugzilla.suse.com/show_bug.cgi?id=1140709

https://www.suse.com/security/cve/CVE-2019-12838/

https://bugzilla.suse.com/show_bug.cgi?id=1065697

https://www.suse.com/security/cve/CVE-2017-15566/

https://bugzilla.suse.com/show_bug.cgi?id=1155784

https://bugzilla.suse.com/show_bug.cgi?id=1159692

https://www.suse.com/security/cve/CVE-2019-19727/

https://www.suse.com/security/cve/CVE-2019-19728/

https://bugzilla.suse.com/show_bug.cgi?id=1018371

https://bugzilla.suse.com/show_bug.cgi?id=1158709

https://bugzilla.suse.com/show_bug.cgi?id=1158798

https://www.suse.com/security/cve/CVE-2016-10030/

http://www.nessus.org/u?f5e4d795

Plugin Details

Severity: High

ID: 134036

File Name: suse_SU-2020-0443-1.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2/25/2020

Updated: 2/27/2020

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2016-10030

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.6

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.1

Temporal Score: 7.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:suse_linux:15:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libpmi0_18_08:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libpmi0_18_08-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libslurm33:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libslurm33-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-dshgroup:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-dshgroup-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-genders:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-genders-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-machines:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-machines-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-netgroup:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-netgroup-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-slurm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-slurm-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-slurm_18_08:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:pdsh-slurm_18_08-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:perl-slurm_18_08:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:perl-slurm_18_08-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-auth-none:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-auth-none-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-config:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-doc:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-lua:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-lua-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-munge:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-munge-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-node:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-node-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-pam_slurm:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-pam_slurm-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-plugins:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-plugins-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-slurmdbd:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-slurmdbd-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-sql:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-sql-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-torque:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:slurm_18_08-torque-debuginfo:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 2/24/2020

Vulnerability Publication Date: 1/5/2017

Reference Information

CVE: CVE-2018-7033, CVE-2018-10995, CVE-2019-6438, CVE-2019-12838, CVE-2017-15566, CVE-2016-10030, CVE-2019-19727, CVE-2019-19728